Subject: Re: draft-ipngwg-default-addr-select-00.txt

From: Tim Hartrick <[email-masked]>
Date: Wed, 27 Oct 1999 16:43:00 -0700 (PDT)

> From [email-masked] Wed Oct 27 14:28:08 1999
> Received: from roll.mentat.com (roll [192.88.122.129])
> 	by leo.mentat.com (8.9.1b+Sun/8.9.1) with ESMTP id OAA03088
> 	for <tim@leo>; Wed, 27 Oct 1999 14:28:08 -0700 (PDT)
> Received: from mercury.Sun.COM (mercury.Sun.COM [192.9.25.1])
> 	by roll.mentat.com (8.9.1b+Sun/8.9.1) with ESMTP id OAA06377
> 	for <[email-masked]>; Wed, 27 Oct 1999 14:28:06 -0700 (PDT)
> Received: from engmail2.Eng.Sun.COM ([129.146.1.25])
> 	by mercury.Sun.COM (8.9.3+Sun/8.9.3) with ESMTP id OAA13055;
> 	Wed, 27 Oct 1999 14:26:59 -0700 (PDT)
> Received: from sunroof.eng.sun.com (sunroof.Eng.Sun.COM [129.146.168.88])
> 	by engmail2.Eng.Sun.COM (8.9.1b+Sun/8.9.1/ENSMAIL,v1.6) with ESMTP id OAA13625;
> 	Wed, 27 Oct 1999 14:26:45 -0700 (PDT)
> Received: (from majordomo@localhost)
> 	by sunroof.eng.sun.com (8.10.0.Beta6+Sun/8.10.0.Beta6) id d9RLN9N23649
> 	for ipng-dist; Wed, 27 Oct 1999 14:23:09 -0700 (PDT)
> Received: from engmail1.Eng.Sun.COM (engmail1 [129.146.1.13])
> 	by sunroof.eng.sun.com (8.10.0.Beta6+Sun/8.10.0.Beta6) with ESMTP id d9RLMxi23642
> 	for <[email-masked]>; Wed, 27 Oct 1999 14:23:00 -0700 (PDT)
> Received: from venus.Sun.COM (venus.EBay.Sun.COM [129.150.69.5])
> 	by engmail1.Eng.Sun.COM (8.9.1b+Sun/8.9.1/ENSMAIL,v1.6) with ESMTP id OAA05550
> 	for <[email-masked]>; Wed, 27 Oct 1999 14:23:00 -0700 (PDT)
> Received: from concorde.inria.fr (concorde.inria.fr [192.93.2.39])
> 	by venus.Sun.COM (8.9.3+Sun/8.9.3) with ESMTP id OAA16579
> 	for <[email-masked]>; Wed, 27 Oct 1999 14:22:58 -0700 (PDT)
> Received: from givry.inria.fr (givry.inria.fr [193.51.193.144])
> 	by concorde.inria.fr (8.8.7/8.8.7) with ESMTP id XAA19333;
> 	Wed, 27 Oct 1999 23:22:38 +0200 (MET DST)

Francis,

> 
>    In our (MSR IPv6) case, configured tunnels are not interfaces; you
>    can't assign an address to a configured tunnel endpoint.
> 
> => how can we use RIPng over such tunnels? This position has not been
> defensible since San Jose IETF meeting...
>

It is plenty defensible.  Why does a simple host need to run RIPng?  Sure
configured tunnels on routers need to be more capable and more complex but
configured tunnels on hosts can be very simple creatures indeed.

Tim Hartrick
Mentat Inc.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Francis Dupont <[email-masked]>
Date: Fri, 29 Oct 1999 21:25:54 +0200

> defensible since San Jose IETF meeting...
   
   It is plenty defensible.

=> this was already discussed at the San Jose IETF meeting. The
conclusion was configured tunnels should be real interfaces and
this point will be explicitely specified in the RFC 1933 revision
(because we liked to have this written down, unfortunately the RFC 1933
revision is not there today then the issue is not really close?!).

   Why does a simple host need to run RIPng?

=> the point is:
 1- configurated tunnels are used to build an IPv6 infrastructure over
    the legacy Internet
 2- for dynamic routing the configurated tunnels must be real interfaces
 3- then the RFC 1933 revision should specify the point.
(1- is the target of RFC 1933, 2- was obvious because RIPng was the only
used protocol at this time and it really need a link-local address per
configurated tunnel end-point, 3- is the result of the IETF process).

Regards

[email-masked]

PS: from "(ngtrans) San Jose Minutes", Wed, 5 Feb 1997 14:25:52 -0800:
(Message-ID: <c=US%a=_%p=msft%l=[email-masked]>)

Gilligan -      Review of changes to be made to RFC-1933
(Transition Mechanisms for IPv6 Hosts and Routers) before submitting as a 
proposed standard sometime in March.
...
Need to clarify the use of Neighbor Discovery wrt automatic and configured 
tunnels.
Add text for the link-local address to be used for configured tunnels 
(needed for RIPng).
Explicitly state that a configured tunnel uses a point-to-point interface 
as a paradigm.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------